summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leo C <leoc@gmx.com>2020-04-10 00:37:05 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-04-10 00:37:05 +0700
commitcc6facfbe82bf979281b7a71737c3e7babd8f7b8 (patch)
tree7d4b9982b80d97b5ff077bedb50447a9a404b731 /desktop
parent00eaecf3ff2cdb1b5b3b55d72859318316e3b871 (diff)
downloadslackbuilds-cc6facfbe82bf979281b7a71737c3e7babd8f7b8.tar.gz
slackbuilds-cc6facfbe82bf979281b7a71737c3e7babd8f7b8.tar.xz
desktop/gkrellm-themes: Added (Themes for GKrellM).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/gkrellm-themes/README1
-rw-r--r--desktop/gkrellm-themes/gkrellm-themes.SlackBuild70
-rw-r--r--desktop/gkrellm-themes/gkrellm-themes.info10
-rw-r--r--desktop/gkrellm-themes/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/desktop/gkrellm-themes/README b/desktop/gkrellm-themes/README
new file mode 100644
index 0000000000..3ae243863e
--- /dev/null
+++ b/desktop/gkrellm-themes/README
@@ -0,0 +1 @@
+This is the complete collection of GKrellM themes from muhri.net
diff --git a/desktop/gkrellm-themes/gkrellm-themes.SlackBuild b/desktop/gkrellm-themes/gkrellm-themes.SlackBuild
new file mode 100644
index 0000000000..441b24df7d
--- /dev/null
+++ b/desktop/gkrellm-themes/gkrellm-themes.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for gkrellm-themes
+
+# Copyright 2020 Leonardo Citrolo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gkrellm-themes
+VERSION=${VERSION:-20030129}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf GKrellM-skins
+tar xvf $CWD/GKrellM-Skins.tar.gz
+cd GKrellM-skins
+
+mkdir -p $PKG/usr/share/gkrellm2/themes
+for FILE in *gz; do
+ tar xf $FILE -C $PKG/usr/share/gkrellm2/themes \
+ --exclude CVS \
+ --exclude "*~" \
+ --exclude "*.swp" \
+ --exclude .xvpics
+done
+
+cd $PKG/usr/share/gkrellm2/themes
+chown -R root:root .
+# remove dangling symlinks
+find -L . -type l -exec rm -fv {} \;
+# fix permissions & unset setuid, setgid and sticky bits (leading double zero is required)
+find . -type d -exec chmod 00755 {} \;
+find . -type f -exec chmod 00644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/gkrellm-themes/gkrellm-themes.info b/desktop/gkrellm-themes/gkrellm-themes.info
new file mode 100644
index 0000000000..05c18c4be3
--- /dev/null
+++ b/desktop/gkrellm-themes/gkrellm-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="gkrellm-themes"
+VERSION="20030129"
+HOMEPAGE="http://www.muhri.net/gkrellm/"
+DOWNLOAD="http://www.muhri.net/gkrellm/GKrellM-Skins.tar.gz"
+MD5SUM="17c88c10cc320db2036720c90887690a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leo C."
+EMAIL="leoc@gmx.com"
diff --git a/desktop/gkrellm-themes/slack-desc b/desktop/gkrellm-themes/slack-desc
new file mode 100644
index 0000000000..fb2915b219
--- /dev/null
+++ b/desktop/gkrellm-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gkrellm-themes: gkrellm-themes (Themes for GKrellM from muhri.net)
+gkrellm-themes:
+gkrellm-themes: This is the complete collection of GKrellM themes from muhri.net
+gkrellm-themes:
+gkrellm-themes:
+gkrellm-themes:
+gkrellm-themes:
+gkrellm-themes:
+gkrellm-themes:
+gkrellm-themes: Homepage: http://www.muhri.net/gkrellm/
+gkrellm-themes: